      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQIIHV                                     **
      **                                                              **
      **  DESCRIPTION:    IMS Information Header Structure            **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1997, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQIIH,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQIIH structure
        10 MQIIH.
      **    Structure identifier
         15 MQIIH-STRUCID        PIC X(4) VALUE 'IIH '.
      **    Structure version number
         15 MQIIH-VERSION        PIC S9(9) BINARY VALUE 1.
      **    Length of MQIIH structure
         15 MQIIH-STRUCLENGTH    PIC S9(9) BINARY VALUE 84.
      **    Reserved
         15 MQIIH-ENCODING       PIC S9(9) BINARY VALUE 0.
      **    Reserved
         15 MQIIH-CODEDCHARSETID PIC S9(9) BINARY VALUE 0.
      **    MQ format name of data that follows MQIIH
         15 MQIIH-FORMAT         PIC X(8) VALUE SPACES.
      **    Flags
         15 MQIIH-FLAGS          PIC S9(9) BINARY VALUE 0.
      **    Logical terminal override
         15 MQIIH-LTERMOVERRIDE  PIC X(8) VALUE SPACES.
      **    Message format services map name
         15 MQIIH-MFSMAPNAME     PIC X(8) VALUE SPACES.
      **    MQ format name of reply message
         15 MQIIH-REPLYTOFORMAT  PIC X(8) VALUE SPACES.
      **    RACF password or passticket
         15 MQIIH-AUTHENTICATOR  PIC X(8) VALUE SPACES.
      **    Transaction instance identifier
         15 MQIIH-TRANINSTANCEID PIC X(16) VALUE LOW-VALUES.
      **    Transaction state
         15 MQIIH-TRANSTATE      PIC X VALUE ' '.
      **    Commit mode
         15 MQIIH-COMMITMODE     PIC X VALUE '0'.
      **    Security scope
         15 MQIIH-SECURITYSCOPE  PIC X VALUE 'C'.
      **    Reserved
         15 MQIIH-RESERVED       PIC X VALUE SPACES.
 
      ******************************************************************
      **  End of CMQIIHV                                              **
      ******************************************************************
