      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQRFH2V                                    **
      **                                                              **
      **  DESCRIPTION:    Rules and Formatting Header 2 Structure     **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 2000, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQRFH2,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQRFH2 structure
        10 MQRFH.
      **    Structure identifier
         15 MQRFH-STRUCID        PIC X(4) VALUE 'RFH '.
      **    Structure version number
         15 MQRFH-VERSION        PIC S9(9) BINARY VALUE 2.
      **    Total length of MQRFH2 including all NAMEVALUELENGTH and
      **    NAMEVALUEDATA fields
         15 MQRFH-STRUCLENGTH    PIC S9(9) BINARY VALUE 36.
      **    Numeric encoding of data that follows last NAMEVALUEDATA
      **    field
         15 MQRFH-ENCODING       PIC S9(9) BINARY VALUE 17.
      **    Character set identifier of data that follows last
      **    NAMEVALUEDATA field
         15 MQRFH-CODEDCHARSETID PIC S9(9) BINARY VALUE -2.
      **    Format name of data that follows last NAMEVALUEDATA field
         15 MQRFH-FORMAT         PIC X(8) VALUE SPACES.
      **    Flags
         15 MQRFH-FLAGS          PIC S9(9) BINARY VALUE 0.
      **    Character set identifier of NAMEVALUEDATA
         15 MQRFH-NAMEVALUECCSID PIC S9(9) BINARY VALUE 1208.
 
      ******************************************************************
      **  End of CMQRFH2V                                             **
      ******************************************************************
